import { createAsyncThunk } from "@reduxjs/toolkit";
import { LOADING_END, LOADING_START } from "../../../lib/redux/slices/appSlice";
import axios from "axios";
import { getRoleFromUrl } from "../../../utils/getRoleFromUrl";

export const dashboardGetNewsService = createAsyncThunk(
  "DASHBOARD_GET_NEWS_SERVICE",
  async (d, { dispatch }) => {
    dispatch(LOADING_START());
    const { data, status } = await axios.get("dashboard_notification/", {
      params: {
        role: getRoleFromUrl(),
        ...d,
      },
    });
    dispatch(LOADING_END());
    return { data, status };
  }
);
